Subject: RE: Some IPv6LL operational experience

From: "Bound, Jim" <[email-masked]>
Date: Thu, 21 Aug 2003 23:44:37 -0400

Keith,

I agree with you.  I am convinced the IETF cannot figure anything out
that requires putting a stake in the ground because we debate for to
many years now and to many won't compromise. I am not one of them I
compromise all the time unless it is stupid (ergo like SL Addresses).

I came here and asked a simple question.  Look what happened.  In
industry this would be a no brainer and most would take your view is my
opinion.  Don't use these for applications.
But it has turned into another absurd avoidance of basic principles
because folks have their heals dug in on for some reason.

But as I keep saying outside of here there is a body and group of people
who do and will continue to influence IPv6 deployment with their input.
And many listen to them that deploy and build networks.  Common sense
guidelines like don't use LLs on command lines for general applications
is going to be a no brainer to get support for and not like fighting
NATs.

The reason NAT got away with what it did is the users got blind sided
and then IETF got sucked into building a special NAT working group
(which I objected to at Munich) and look at the mess we have out there
today.  At least to me its a complete mess.

No it will not be the same because the users, industry, non-IETF forums,
Press, et al are all smarter.  Everyone was busy doing .dot.com and the
web and figured just keep it running (without security too) and that all
crashed and people are now very aware of the loss of e2e and are awake
to listen not just to the IETF and vendors but lots of input.

One of those inputs is going to be LLs must be used with caution, but
they are still a very advanced feature not found in IPv4.

We shall see though.

/jim

> -----Original Message-----
> From: Keith Moore [mailto:[email-masked]] 
> Sent: Thursday, August 21, 2003 11:26 PM
> To: Bound, Jim
> Cc: [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]
> Subject: Re: Some IPv6LL operational experience
> 
> 
> I wish I could share your confidence in the wisdom of the 
> market.  In my experience, the market does eventually learn 
> what works well and what doesn't, but for subtle things like 
> how addresses are used this can take years.  And by the time 
> the market does learn, it's often too entrenched to change.  
> NAT is one example; email user agents that make it easy to 
> run executable attachments are another [*].  
> 
> IETF can't stop vendors from doing harmful things.  But we're 
> being irresponsible if we fail to discourage the harmful 
> things that we know about.
> 
> Keith
> 
> [*] The MIME standard even repeatedly warned about the 
> hazards of doing so, but that didn't stop unscrupulous mail 
> client vendors from deploying MUAs that
> have become fertile breeding grounds for viruses.   Why 
> nobody has sued them
> for this is beyond me, because their negligence and refusal 
> to follow the standards has resulted in billions of dollars 
> of downtime (thus lost revenue) and support costs for 
> networks and end systems - even to those not using their
> software.)
> 
> 
> > Keith,
> > 
> > That is not going to happen.  The market will ignore such silliness.
> > 
> > /jim
> > 
> > > -----Original Message-----
> > > From: Keith Moore [mailto:[email-masked]]
> > > Sent: Thursday, August 21, 2003 8:17 PM
> > > To: Bob Hinden
> > > Cc: [email-masked]; [email-masked]; 
> [email-masked]
> > > Subject: Re: Some IPv6LL operational experience
> > > 
> > > 
> > > I strongly disagree that this practice adds value to IPv6.
> > > IMHO it has the potential to do a great deal of harm.  It is 
> > > even worse that NAT.
> > > 
> > > Did we go to all of that trouble to deprecate SL only to find
> > > that people will now insist that LLs are generally usable by apps?
> > > 
> > > If we're going to make IPv6 even less predictable and less
> > > functional than IPv4, why did we bother?
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Keith Moore <[email-masked]>
Date: Fri, 22 Aug 2003 00:01:36 -0400

On Thu, 21 Aug 2003 23:44:37 -0400

> because folks have their heals dug in on for some reason.

As far as I can tell, the "reason" is a basic failure to do engineering, or
more specifically analysis.  A small number of emperical tests with limited
scope are taken as evidence that some practice or another will not cause
problems for an extremely diverse Internet with 10**8 - 10**9 distinct users 
and 10**5 - 10**6 different apps.  That's the networking equivalent of driving
a single car over the original Tacoma Narrows Bridge and declaring it sound.

(I cite the Tacoma Narrows Bridge because it was another case of ignoring
the analysis that was done (of wind effects) - blind faith in the designer's
reputation was deemed to make such analysis irrelevant.)

Keith

p.s. If you're not familiar with that bridge,
see http://www.camerashoptacoma.com/mpegs/TacomaNarrowsBridge.mpg
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Tony Hain" <[email-masked]>
Date: Thu, 21 Aug 2003 21:19:41 -0700

Bound, Jim wrote:
> I came here and asked a simple question.  Look what happened. 
>  In industry this would be a no brainer and most would take 
> your view is my opinion.  Don't use these for applications. 

That is one opinion. In reality industry will build what customers are
paying for. If your customers are not demanding network applications that
work without any infrastructure, you will not need to support this.

> But it has turned into another absurd avoidance of basic 
> principles because folks have their heals dug in on for some reason.

Look carefully before you speak. From another perspective, those who are
insisting that IPv6 not be capable of anything more than the limitations of
IPv4 are the ones with their heals dug in.

Tony

---

From: Keith Moore <[email-masked]>
Date: Fri, 22 Aug 2003 00:26:06 -0400

> IPv4 are the ones with their heals dug in.

nobody is insisting on this.  what some people are insisting on is that IPv6
support *their* favorite capability, and sometimes it's hard to tell whether
they care if this insistence harms other valuable capabilities.

---

From: "Tony Hain" <[email-masked]>
Date: Thu, 21 Aug 2003 22:11:24 -0700

Keith Moore wrote:
> > Look carefully before you speak. From another perspective, 
> those who 
> > are insisting that IPv6 not be capable of anything more than the 
> > limitations of IPv4 are the ones with their heals dug in.
> 
> nobody is insisting on this. 

'I strongly disagree that this practice adds value to IPv6.', as a response
to a vendor that was describing where they find value in general app use of
LL is being obstructionist. 

> what some people are insisting 
> on is that IPv6 support *their* favorite capability, and 
> sometimes it's hard to tell whether they care if this 
> insistence harms other valuable capabilities.

Not to speak for Josh, but I suspect his favorite capability is delivering a
product that a customer is willing to pay for, and it doesn't cost him an
arm-and-a-leg in continuing support. There is no harm to other capabilities
that I can see. Just to the mistaken perception that the world is a single
flat routing space ...

Tony

---

From: Keith Moore <[email-masked]>
Date: Fri, 22 Aug 2003 07:20:12 -0400

> LL is being obstructionist. 

no, shipping code that does this is being obstructionist to apps that don't
work under those conditions.